The following patch fixes three custom Autoconf checks by moving the
external references into the include section of the AC_TRY_LINK macro
in order to make sure it is generated _outside_ the main() function.
Else if generated _inside_ the main() function the test will always
generate true because at least GCC then does not detect that the
referenced symbol is actually undefined.

Index: configure.in
--- configure.in.orig	2005-04-24 03:36:19 +0200
+++ configure.in	2005-07-15 09:42:17 +0200
@@ -711,10 +711,10 @@
 
 if test $ac_cv_func_pcap_lib_version = "no" ; then
     AC_MSG_CHECKING(whether pcap_version is defined by libpcap)
-    AC_TRY_LINK([],
+    AC_TRY_LINK(
        [
 	extern char pcap_version[];
-
+       ],[
 	return (int)pcap_version;
        ],
        ac_lbl_cv_pcap_version_defined=yes,
@@ -727,10 +727,10 @@
     fi
 fi
 AC_MSG_CHECKING(whether pcap_debug is defined by libpcap)
-AC_TRY_LINK([],
+AC_TRY_LINK(
    [
 	extern int pcap_debug;
-
+   ],[
 	return pcap_debug;
    ],
    ac_lbl_cv_pcap_debug_defined=yes,
@@ -744,10 +744,10 @@
 	# OK, what about "yydebug"?
 	#
 	AC_MSG_CHECKING(whether yydebug is defined by libpcap)
-	AC_TRY_LINK([],
+	AC_TRY_LINK(
 	   [
 		extern int yydebug;
-
+	   ],[
 		return yydebug;
 	   ],
 	   ac_lbl_cv_yydebug_defined=yes,
